Subject: Re: [ipwave] I-D Action: draft-ietf-rtgwg-atn-bgp-01.txt

From: "Templin (US), Fred L" <[email-masked]>
Date: Fri, 11 Jan 2019 22:09:45 +0000

Hi, we have updated the draft based on questions and comments received. Mostly
points for clarification, but there is also an important new Section on "Stub AS Mobile
Routing Services".

Please check the diffs and post comments to [email-masked]. Also cross-posting to
ipwave and dmm due to interest there.

Thanks - Fred

> -----Original Message-----
> From: rtgwg [mailto:[email-masked]] On Behalf Of [email-masked]
> Sent: Friday, January 11, 2019 1:51 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: I-D Action: draft-ietf-rtgwg-atn-bgp-01.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Routing Area Working Group WG of the IETF.
> 
>         Title           : A Simple BGP-based Mobile Routing System for the Aeronautical Telecommunications Network
>         Authors         : Fred L. Templin
>                           Greg Saccone
>                           Gaurav Dawra
>                           Acee Lindem
>                           Victor Moreno
> 	Filename        : draft-ietf-rtgwg-atn-bgp-01.txt
> 	Pages           : 18
> 	Date            : 2019-01-11
> 
> Abstract:
>    The International Civil Aviation Organization (ICAO) is investigating
>    mobile routing solutions for a worldwide Aeronautical
>    Telecommunications Network with Internet Protocol Services (ATN/IPS).
>    The ATN/IPS will eventually replace existing communication services
>    with an IPv6-based service supporting pervasive Air Traffic
>    Management (ATM) for Air Traffic Controllers (ATC), Airline
>    Operations Controllers (AOC), and all commercial aircraft worldwide.
>    This informational document describes a simple and extensible mobile
>    routing service based on industry-standard BGP to address the ATN/IPS
>    requirements.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-rtgwg-atn-bgp/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-rtgwg-atn-bgp-01
> https://datatracker.ietf.org/doc/html/draft-ietf-rtgwg-atn-bgp-01
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-rtgwg-atn-bgp-01
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg

---

From: Alexandre Petrescu <[email-masked]>
Date: Sat, 12 Jan 2019 00:24:59 +0100

Fred,
The subnet structure in a convoy (platoon) is very particular.  It is 
not an arbitrary graph.  There is always a rigid subnet in a car, and 
there is always a car in front and a car in the back.

That said, is BGP appropriate for it?

Isnt BGP overkill?

Is BGP running on small embedded platforms.

Can BGP work when the links between cars have only link-local addresses.

Why should we consider 'stub' networks when in a convoy (platoon) there 
is no notion of 'stub'.  I never heard anyone doing convoys telling this 
word 'stub'.

Alex

Le 11/01/2019 à 23:09, Templin (US), Fred L a écrit :
> its mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/its
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 12 Jan 2019 12:31:05 +0200

Hi Fred,

Thanks for this work which is very interesting. IMHO, the draft should
consider using the DLEP, OLSRv2, AODVv2, multitopology protocols for IPv6,
as RFC8175, RFC6130, RFC7181, draft-perkins-manet-aodvv2-02, and RFC7722.
If not considering then I think it should mention why.

Best regards
AB

On Sat, Jan 12, 2019 at 12:10 AM Templin (US), Fred L <
[email-masked]> wrote:

> >         Title           : A Simple BGP-based Mobile Routing System for
> the Aeronautical Telecommunications Network

---

From: Fred Baker <[email-masked]>
Date: Sat, 12 Jan 2019 09:31:33 -0800

Dumb question: AODVv2 has been in the IESG state “revised ID needed” for 15 months. Has it been abandoned? Should it be in this list?

Sent using a machine that autocorrects in interesting ways...

> On Jan 12, 2019, at 2:31 AM, Abdussalam Baryun <[email-masked]> wrote:
> 
> Hi Fred,
> 
> 
> Thanks for this work which is very interesting. IMHO, the draft should consider using the DLEP, OLSRv2, AODVv2, multitopology protocols for IPv6, as RFC8175, RFC6130, RFC7181, draft-perkins-manet-aodvv2-02, and RFC7722. If not considering then I think it should mention why.
> 
> Best regards
> AB 
> 
>> On Sat, Jan 12, 2019 at 12:10 AM Templin (US), Fred L <[email-masked]> wrote:

---

From: Fred Baker <[email-masked]>
Date: Sat, 12 Jan 2019 10:46:14 -0800

Having now is read the draft, which doesn’t mention common Enterprise Routing protons such as IS-IS (which might be expected from history) or OSPF but is instead all about a very specific scope regarding IPv6 and BGP, I wouldn’t expect Fred to update the draft per your suggestion without a very strong operational argument. Can you point to deployments in which mobile ad-hoc Routing protocols are envisaged or in use in aeronautics?

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 14 Jan 2019 09:57:06 +0200

Hi Fred Baker,

I usually discuss deployment when the ietf-draft or ietf-RFC is a standard,
but this draft is informational and it's including the planning for future
technologies of Aeronautical Mobile Routing. More reply below,

On Sat, Jan 12, 2019 at 10:00 PM Fred Baker <[email-masked]>
wrote:

> Having now is read the draft, which doesn’t mention common Enterprise
> Routing protons such as IS-IS (which might be expected from history) or
> OSPF but is instead all about a very specific scope regarding IPv6 and BGP,
> I wouldn’t expect Fred to update the draft per your suggestion without a
> very strong operational argument.
>

I think that new draft authors are expected to inform community about
mobile routing protocols standard by IETF as working with the author's
suggested mobile routing. I included standards like DLEP and OLSRv2, the
draft does not mention at all, why? So I expect that Fred (the author) can
discuss on the list the mobile routing options/not-options when the draft's
title is about simple mobile routing (usually I expect updates can happen
while WG discuss).

Can you point to deployments in which mobile ad-hoc Routing protocols are
> envisaged or in use in aeronautics?
>

We don't forget that the draft is suggested as informational not standard,
so deployment is not the issue, IETF do publish things that will be in
future implemented. Furthermore, IETF has standardised mobile routings so
we cannot ignore them when we write a new draft specially when it is
informational.

Best Regards,

AB

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Mon, 14 Jan 2019 16:02:55 +0000

Hi, it is interesting to see these comments but they are really out of scope for this
document. This document discusses the interdomain routing between different
autonomous systems, and clearly states that intradomain considerations are
out of scope.

Thanks - Fred

From: Abdussalam Baryun [mailto:[email-masked]]
Sent: Sunday, January 13, 2019 11:57 PM
To: Fred Baker <[email-masked]>
Cc: Templin (US), Fred L <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [ipwave] I-D Action: draft-ietf-rtgwg-atn-bgp-01.txt

Hi Fred Baker,

I usually discuss deployment when the ietf-draft or ietf-RFC is a standard, but this draft is informational and it's including the planning for future technologies of Aeronautical Mobile Routing. More reply below,

On Sat, Jan 12, 2019 at 10:00 PM Fred Baker <[email-masked]<mailto:[email-masked]>> wrote:
Having now is read the draft, which doesn’t mention common Enterprise Routing protons such as IS-IS (which might be expected from history) or OSPF but is instead all about a very specific scope regarding IPv6 and BGP, I wouldn’t expect Fred to update the draft per your suggestion without a very strong operational argument.

I think that new draft authors are expected to inform community about mobile routing protocols standard by IETF as working with the author's suggested mobile routing. I included standards like DLEP and OLSRv2, the draft does not mention at all, why? So I expect that Fred (the author) can discuss on the list the mobile routing options/not-options when the draft's title is about simple mobile routing (usually I expect updates can happen while WG discuss).

Can you point to deployments in which mobile ad-hoc Routing protocols are envisaged or in use in aeronautics?

We don't forget that the draft is suggested as informational not standard, so deployment is not the issue, IETF do publish things that will be in future implemented. Furthermore, IETF has standardised mobile routings so we cannot ignore them when we write a new draft specially when it is informational.

Best Regards,

AB

On Jan 12, 2019, at 2:31 AM, Abdussalam Baryun <[email-masked]<mailto:[email-masked]>> wrote:
Hi Fred,

Best regards
AB

On Sat, Jan 12, 2019 at 12:10 AM Templin (US), Fred L <[email-masked]<mailto:[email-masked]>> wrote:
Hi, we have updated the draft based on questions and comments received. Mostly
points for clarification, but there is also an important new Section on "Stub AS Mobile
Routing Services".

Please check the diffs and post comments to [email-masked]<mailto:[email-masked]>. Also cross-posting to
ipwave and dmm due to interest there.

Thanks - Fred

> From: rtgwg [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of [email-masked]<mailto:[email-masked]>
> To: [email-masked]<mailto:[email-masked]>
> Cc: [email-masked]<mailto:[email-masked]>
> until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.
>
> [email-masked]<mailto:[email-masked]>

_______________________________________________
its mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/its
_______________________________________________
rtgwg mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/rtgwg

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 14 Jan 2019 17:18:20 +0000

I agree.  This draft describes a deployment of EBGP for the global aeronautical network – NOT the vaporization of oceanic networks ….
Acee

From: rtgwg <[email-masked]> on behalf of "Templin (US), Fred L" <[email-masked]>
Date: Monday, January 14, 2019 at 11:03 AM
To: Abdussalam Baryun <[email-masked]>, Fred Baker <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Routing WG <[email-masked]>
Subject: RE: [ipwave] I-D Action: draft-ietf-rtgwg-atn-bgp-01.txt

Thanks - Fred

Hi Fred Baker,

Best Regards,

AB

Best regards
AB

Thanks - Fred